UART Peripheral
Bootloader » Peripheral Definitions

UART peripheral interface. More...

Collaboration diagram for UART Peripheral:

## Functions

static UART_Type * | get_uart_baseAddr (uint32_t instance)
static bool | uart_poll_for_activity (const peripheral_descriptor_t *self)
static status_t | uart_full_init (const peripheral_descriptor_t *self, serial_byte_receive_func_t function)
static void | uart_full_shutdown (const peripheral_descriptor_t *self)
static status_t | uart_write (const peripheral_descriptor_t *self, const uint8_t *buffer, uint32_t byteCount)
void | UART0_IRQHandler (void)
void | UART1_IRQHandler (void)

## Variables

const peripheral_control_interface_t | g_uartControlInterface
| Control interface for the UART peripheral driver. More...
const peripheral_byte_inteface_t | g_uartByteInterface = {.init = NULL, .write = uart_write }
| Byte I/O interface for the UART peripheral driver.
static serial_byte_receive_func_t | s_uart_byte_receive_callback
static bool | g_uartInitDone = false

## Usage Information

UART peripheral interface.

## Function Documentation

void uart_full_shutdown | ( | const peripheral_descriptor_t * | self | ) |

static

Note: if not deinit autobaud(IRQ method), user app may encounters hardfault if it doesn't provide related pin interrupt service routine.

## Variable Documentation

const peripheral_control_interface_t g_uartControlInterface

Initial value:
= {
.pollForActivity = uart_poll_for_activity, .init = uart_full_init, .shutdown = uart_full_shutdown, .pump = 0
}
uart_full_shutdown
static void uart_full_shutdown(const peripheral_descriptor_t *self)
Definition: uart_peripheral_interface.c:152

Control interface for the UART peripheral driver.